/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: window.c 1.3 89/10/10 $@(#)graf:src/dev.d/tek4000.d/ged.d/window.c	1.2"
#include <stdio.h>
#include "ged.h"

window(pts,pi,ar)
int pts[], pi;
struct area *ar;
{
	int i;

	for( i=2, ar->lx=ar->hx=pts[0], ar->ly=ar->hy=pts[1]; i<pi*2; ) {
		ar->lx = MIN(ar->lx,pts[i]);
		ar->hx = MAX(ar->hx,pts[i]); i++;
		ar->ly = MIN(ar->ly,pts[i]);
		ar->hy = MAX(ar->hy,pts[i]); i++;
	}
	if( pi<2 || (ar->lx==ar->hx && ar->ly==ar->hy) ) return(FAIL);
	else return(SUCCESS);
}
